CoursePress update from 1.x to 2.x fails


I have a similar issue to the one in this thread:

I have successfully installed the plugin through both my Hub and by transferring by FTP. My admin dashboard shows version, but I keep getting this message when I go to set it up...

I keep clicking the HERE button to upgrade, but it keeps failing.

  • Katya Tsihotska

    Hi Darvin

    Hope you had a wonderful day!

    I'm sorry to hear about the problems you are having with this update. This is related to a bug that was recently reported. Our Dev Team is working diligently on a resolution for this and an update will be published very soon.

    Meantime, we can try to hotfix it while waiting for an update. Can you try finding {wordpress_folder}/wp-content/plugins/coursepress/upgrade/class-upgrade.php file using FTP, and change the line 19 from
    add_action( 'wp_ajax_coursepress_upgrade_from_1x', array( __CLASS__, 'ajax_courses_upgrade' ) );


    add_action( 'wp_ajax_coursepress_upgrade_update', array( __CLASS__, 'ajax_courses_upgrade' ) );

    Let us know if the update works now.

    Kind regards,